Main Page Widgets Namespaces Book

# Glib::Value< Glib::ustring > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Value< Glib::ustring >:

[legend]
List of all members.

## Detailed Description

### template<>
class Glib::Value< Glib::ustring >

Specialization for UTF-8 strings.

## Public Types
typedef Glib::ustring | CppType
## Public Member Functions
void | set (const Glib::ustring& data)
Glib::ustring | get () const

## Member Typedef Documentation

typedef Glib::ustring Glib::Value<Glib::ustring>::CppType

## Member Function Documentation

Glib::ustring Glib::Value<Glib::ustring>::get | ( |  | ) | const`[inline]`

void Glib::Value<Glib::ustring>::set | ( | const Glib::ustring& | data | ) |

The documentation for this class was generated from the following file:

- glib/glibmm/value.h